Custom Fields
Update a custom field
Update a custom field definition by its ID. You can modify the field name or other properties.
PUT /v1/custom-fields/{customFieldId}
Parameters
Path parameters
customFieldId
string (uuid) required
Request body
Content-Type: application/json
custom_field
object required
custom_field.name
string
custom_field.field_type
string enum
Possible values:
"input", "autocomplete", "datepicker"custom_field.categories
array<object>
custom_field.categories[].category
string
Example
{
"custom_field": {
"name": "string",
"field_type": "input"
}
}
Responses
200 — Successful response
Content-Type: application/json
error
boolean required
data
object required
data.custom_field
object required
data.custom_field.id
string (uuid) required
data.custom_field.user_id
string
data.custom_field.name
string
data.custom_field.field_type
string
data.custom_field.categories
array<string>
data.custom_field.ranking
integer | null
Example
{
"error": false,
"data": {
"custom_field": {
"id": "00000000-0000-0000-0000-000000000000"
}
}
}
400
No response body.
401
No response body.
403
No response body.
404
No response body.
429
No response body.
500
No response body.
Code samples
curl https://api.prod.getdex.com/v1/custom-fields/00000000-0000-0000-0000-000000000000 \
--request PUT \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"custom_field": {
"name": "string",
"field_type": "input"
}
}'
fetch('https://api.prod.getdex.com/v1/custom-fields/00000000-0000-0000-0000-000000000000', {
method: 'PUT',
headers: {
Authorization: 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
custom_field: {
name: 'string',
field_type: 'input'
}
})
})
requests.put(
"https://api.prod.getdex.com/v1/custom-fields/00000000-0000-0000-0000-000000000000",
headers={
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
},
json={
"custom_field": {
"name": "string",
"field_type": "input"
}
}
)

